| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::RTShader::SGScriptTranslator Class Reference
Optional Components » RTShaderSystem

This class responsible for translating core features of the RT Shader System for Ogre material scripts. More...

`#include <OgreShaderScriptTranslator.h>`

Inheritance diagram for Ogre::RTShader::SGScriptTranslator:
[legend]

## Public Member Functions
| SGScriptTranslator ()
virtual SubRenderState * | getGeneratedSubRenderState (const String &typeName)
| Returns a sub render state of a given name which has already been created for material currently being generated by the script translator. More...
virtual void | translate (ScriptCompiler *compiler, const AbstractNodePtr &node)
| More...

## Detailed Description

This class responsible for translating core features of the RT Shader System for Ogre material scripts.

The documentation for this class was generated from the following file:

- OgreShaderScriptTranslator.h